EDIT - feature request #7888

TypeSpecimenEditor: Collection date should be timespan
11/06/2018 10:20 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

There is an uncertainty in many old and new publications, for example only mm.yyyy or Autumn YY given, this can be handled easyly
by a time span.

Currently no data are entered, if they are not precise.

Associated revisions

Revision 6fa4d604 - 11/06/2018 03:30 PM - Andreas Kohlbecker

fix #7888 using EventBase.timespan for collection date

History

#1 - 11/06/2018 11:47 AM - Wolf-Henning Kusber

Collection geo reference: uncertainty already solved

#2 - 11/06/2018 01:57 PM - Andreas Kohlbecker
- Subject changed from PhycoBank TypeSpecimen Editor Usability to TypeSpecimenEditor: Collection date should be timespan

- Description updated

#3 - 11/06/2018 02:03 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.5

In the GatheringEvent the gatheringDate setter and getters only operate with Partials but the gatheringDate value is transformed into a timeperiod
which is stored in the base class EventBase:

public void setGatheringDate (Partial gatheringDate) {
this.setTimeperiod (TimePeriod.NewInstance (gatheringDate)) ;

}

public void setGatheringDate (Calendar gatheringDate) {
this.setTimeperiod(TimePeriod.NewInstance (gatheringDate));

}

It would make sense to allow using timeperiod for gatheringDate in general.

For the TypeSpecimenEditor we will use the timeperiod field instead of gatheringDate

#4 - 11/06/2018 03:31 PM - Andreas Kohlbecker

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|6fa4d6045855f038548d75d54ad5776f770f1992.

#5 - 11/06/2018 03:31 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/6fa4d6045855f038548d75d54ad5776f770f1992

#6 - 01/29/2019 04:04 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Time span implemented as wished.
The data format might be reformated

Currently (German style): 1.1.2000-2.2.2010
This would be a different ticket.
